Module | Ramaze::Helper::Layout::SingletonMethods
In: | lib/ramaze/helper/layout.rb

### Methods

set_layout set_layout_except

### Public Instance methods

set_layout(hash_or_the_layout)

@param [String Hash] Either a layout name, or a single-element Hash

      which maps a layout name to an Array containing a whitelist of
      action names

@see set_layout_except Innate::Node::layout @author Pistos, manveru @example Use a layout named ‘default’ on all actions of the controller:

      set_layout 'default'

@example Use a layout named ‘default’ on just the index and admin actions:

      set_layout 'default' => [ :index, :admin ]

set_layout_except(hash_or_the_layout)

@param [String Hash] Either a layout name, or a single-element Hash

      which maps a layout name to an Array containing a blacklist of
      action names

@see set_layout Innate::Node::layout @author Pistos, manveru @example Use a layout named ‘default’ on all actions except the user_data action:

      set_layout_except 'default' => [ :user_data ]

[Validate]